using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VIZ.Framework.Core
{
    /// <summary>
    /// GPIO返回值
    /// </summary>
    public enum GPIOResult
    {
        /// <summary>
        /// 函数执行成功
        /// </summary>
        [Description("函数执行成功")]
        GPIO_SUCCESS = 0,

        /// <summary>
        /// 适配器不支持该函数
        /// </summary>
        [Description("适配器不支持该函数")]
        GPIO_ERR_NOT_SUPPORT = -1,

        /// <summary>
        /// USB写数据失败
        /// </summary>
        [Description("USB写数据失败")]
        GPIO_ERR_USB_WRITE_FAIL = -2,

        /// <summary>
        /// USB读数据失败
        /// </summary>
        [Description("USB读数据失败")]
        GPIO_ERR_USB_READ_FAIL = -3,

        /// <summary>
        /// 命令执行失败
        /// </summary>
        [Description("命令执行失败")]
        GPIO_ERR_CMD_FAIL = -4
    }
}
